Package com.saxonica.ee.stream.adjunct

## Class ItemsUntilStreamer

- java.lang.Object
- - com.saxonica.ee.stream.adjunct.StreamingAdjunct
  - - com.saxonica.ee.stream.adjunct.TransmissionAdjunct
    - - com.saxonica.ee.stream.adjunct.FilteringAdjunct
      - - com.saxonica.ee.stream.adjunct.FilterFnStreamer
        - - com.saxonica.ee.stream.adjunct.ItemsUntilStreamer

- All Implemented Interfaces:
    `FeedMaker`

      public class ItemsUntilStreamer
      extends FilterFnStreamer

  Generate streaming code for the saxon:items-after function. The streamability rules are the same as for the fn:filter function.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ItemsUntilStreamer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FilteringFeed.Filter` | `makeFilter​(XPathContext context, ItemFeed out)` | Make a filter for the event stream

    - ### Methods inherited from class com.saxonica.ee.stream.adjunct.FilterFnStreamer

      `checkPredicateFunction, computeStreamability`

    - ### Methods inherited from class com.saxonica.ee.stream.adjunct.FilteringAdjunct

      `makeItemFeed`

    - ### Methods inherited from class com.saxonica.ee.stream.adjunct.TransmissionAdjunct

      `getWatchMaker, makeTransmissionFlow`

    - ### Methods inherited from class com.saxonica.ee.stream.adjunct.StreamingAdjunct

      `findConsumingArg, getConfiguration, getDefaultFeedMaker, getExpression, getFeedMaker, makeStreamingAdjunct, setConfiguration, setExpression, toStreamingPattern`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemsUntilStreamer

          public ItemsUntilStreamer()

  - ### Method Detail

    - #### makeFilter

          public FilteringFeed.Filter makeFilter​(XPathContext context,
                                                 ItemFeed out)
                                          throws XPathException

      Make a filter for the event stream
      Overrides:
        `makeFilter` in class `FilterFnStreamer`
      Parameters:
        `context` - the XPath dyamic context
        `out` - the destination for the filtered events
      Returns:
        a filter that can be added to the event stream
      Throws:
        `XPathException` - if a dynamic evaluation error occurs